package com.aitrainer.api.controller

import com.aitrainer.api.model.Evaluation
import com.aitrainer.api.model.ExerciseTree
import com.aitrainer.api.repository.EvaluationRepository
import com.aitrainer.api.repository.ExerciseTreeParentsRepository
import com.aitrainer.api.repository.ExerciseTreeRepository
import org.slf4j.LoggerFactory
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

@RestController
@RequestMapping("/api")
class EvaluationController (private val evaluationRepository: EvaluationRepository) {
    private val logger = LoggerFactory.getLogger(javaClass)

    @GetMapping("/evaluation")
    fun getEvaluation(): ResponseEntity<List<Evaluation>> {
        val list: List<Evaluation> = evaluationRepository.findAll()
        logger.info(" -- Get All Evaluations.")
        return if (list.isEmpty()) ResponseEntity.notFound().build() else
            ResponseEntity.ok().body(list)
    }
}