package com.aitrainer.api.model

import com.fasterxml.jackson.annotation.JsonIgnore
import com.google.gson.annotations.Expose
import org.springframework.lang.NonNull
import javax.persistence.*
import javax.validation.constraints.NotBlank

@Entity
data class DescriptionTranslation (
    @Expose @Id  @GeneratedValue(strategy = GenerationType.IDENTITY) @get: NonNull var translationId: Long = 0,
    @Expose @get: NotBlank var languageCode: String? = "hu",
    @Expose @get: NonNull var descriptionTranslation: String? = null
) {
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    @JoinColumn(name = "descriptionId", nullable = false)
    @JsonIgnore val mainDescription: Description? = null
}