package com.aitrainer.api.model

import com.fasterxml.jackson.annotation.JsonIgnore
import com.google.gson.annotations.Expose
import javax.persistence.*
import javax.validation.constraints.NotBlank

@Entity
data class ExercisePlanTemplateTranslation (
        @Expose @Id  @GeneratedValue(strategy = GenerationType.IDENTITY)  val translationId: Long = 0,

        @Expose @get: NotBlank var languageCode: String?,
        @Expose @get: NotBlank var name: String = "",
        @Expose @get: NotBlank var description: String = "",


) {
        @ManyToOne(fetch = FetchType.EAGER, optional = false)
        @JoinColumn(name = "exercisePlanTemplateId", nullable = false)
        @JsonIgnore
        val exercisePlanTemplate: ExercisePlanTemplate? = null

}
