package com.aitrainer.api.model

import com.fasterxml.jackson.annotation.JsonIgnore
import com.google.gson.annotations.Expose
import org.springframework.lang.NonNull
import javax.persistence.*
import javax.validation.constraints.NotBlank

@Entity
data class TrainingPlanDetail (
    @Expose @Id  @GeneratedValue(strategy = GenerationType.IDENTITY) @get: NonNull var trainingPlanDetailId: Long = 0,
    @Expose @get: NotBlank var exerciseTypeId: Int = 0,
    @Expose @get: NotBlank var sort: Int = 0,
    @Expose var set: Int = 0,
    @Expose var repeats: Int? = 0,
    @Expose var weight: Double? = 0.0,
    @Expose var restingTime: Int? = 0,
    @Expose var parallel: Boolean? = false,
    @Expose var day: String? = null,
    @Expose var dayId: Int? = 0,
    @Expose var ectoRepeats: Int? = 0,
    @Expose var ectoWeight: Double? = 0.0,
    @Expose var ectoRestingTime: Int? = 0,
    @Expose var endoRepeats: Int? = 0,
    @Expose var endoWeight: Double? = 0.0,
    @Expose var endoRestingTime: Int? = 0,
    @Expose var round: Int? = 0,
    @Expose var roundGroup: String? = null,
    @Expose var intensity: Double? = 0.0,

) {

    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    @JoinColumn(name = "trainingPlanId", nullable = false)
    @JsonIgnore
    val trainingPlan: TrainingPlan? = null
}