package com.aitrainer.api.repository

import com.aitrainer.api.model.ExerciseType
import com.aitrainer.api.model.Exercises
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query
import org.springframework.data.repository.query.Param
import org.springframework.stereotype.Repository
import javax.persistence.NamedQuery

@Repository
interface ExerciseTypeRepository : JpaRepository<ExerciseType, Long>{
    
    fun findByName(name: String): ExerciseType

    @Query("FROM ExerciseType as e "  +
            "LEFT JOIN ExerciseTypeImage as i ON e.exerciseTypeId = i.exerciseType " +
            "LEFT JOIN ExerciseTypeTranslation as t ON e.exerciseTypeId = t.exerciseType " +
            "LEFT JOIN ExerciseTypeDevice as td ON e.exerciseTypeId = td.exerciseType " +
            "LEFT JOIN ExerciseTypeAlternative as td ON e.exerciseTypeId = td.exerciseType " +
            "LEFT JOIN ExerciseTypeParents as td ON e.exerciseTypeId = td.exerciseType " +
            "WHERE e.active = 1 " +
            "AND t.languageCode = 'hu' " +
            "AND i.type = 'menu' " +
            "ORDER BY e.exerciseTypeId ")
    fun getActiveExerciseTypes(): List<ExerciseType>

}