package com.aitrainer.api.service

import com.aitrainer.api.model.Customer
import org.springframework.data.jpa.repository.Query
import org.springframework.data.repository.query.Param

interface CustomerService {
    @Query("FROM customer WHERE active = :active ")
    fun findByActive(@Param("active") active: String? ): List<Customer>

    @Query("FROM customer WHERE active = :active AND id = :customerId")
    fun findByCustomerIdAndActive(@Param("customerId") customerId: Long?, @Param("active") active: String? ): Customer

    @Query("FROM customer WHERE active = :active AND email = :email")
    fun findByEmailAndActive(@Param("email") email: String, @Param("active") active: String ): Customer
}